MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030854Open CASCADE[OCCT] OCCT:Visualizationpublic2019-07-26 09:592019-08-11 10:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030854: Visualization, AIS_ViewCube - pack triangulations into common array(s)
DescriptionAIS_ViewCube creates an independent primitive array per element (6 box sides, 8 corners, 8 edges = 22), which is redundant overcomplication.
Triangulations should be grouped by common aspects.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberv3d/viewcube/style
Attached Files

- Relationships
child of 0028954verifiedbugmaster Visualization - implement interactive object AIS_ViewCube for camera manipulations 

-  Notes
(0086013)
git (administrator)
2019-08-05 22:27

Branch CR30854 has been created by kgv.

SHA-1: 9c9492fd7cdbd66ffde84173e75c8697794bcd71


Detailed log of new commits:

Author: kgv
Date: Mon Aug 5 20:26:11 2019 +0300

    0030854: Visualization, AIS_ViewCube - pack triangulations into common array(s)
    
    Presentation computation has been modified to merge triangulations per box part type.
    Prs3d_Drawer::FaceBoundaryDraw() flag is now handled for drawing box sides edges.
    
    Graphic3d_ArrayOfPrimitives has been extended by auxiliary methods:
    - ::AddSegmentEdges(), ::AddTriangleEdges(), ::AddQuadEdges() raising exception on wrong primitive type.
    - ::AddQuadTriangleEdges() splitting quad into indexed triangulation;
    - ::AddTriangleStripEdges() splitting triangle strip into indexed triangulation;
    - ::AddTriangleFanEdges() splitting triangle fan into indexed triangulation;
    - ::AddPolylineEdges() splitting polyline into indexed segments.
(0086014)
git (administrator)
2019-08-06 00:18

Branch CR30854 has been updated forcibly by kgv.

SHA-1: 38f6e84905a1944987a38cdde703373a0940c0b8
(0086015)
kgv (developer)
2019-08-06 00:20

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30854-master-KGV [^]
(0086113)
bugmaster (administrator)
2019-08-09 12:33

Combination -
OCCT branch : CR30854
master SHA - 38f6e84905a1944987a38cdde703373a0940c0b8
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - 53815c0544dd1e39d32ee14979d7d88e78729edc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16232.520000000062 / 16237.229999999976 [-0.03%]
Products
Total CPU difference: 10480.390000000032 / 10493.010000000033 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 17636.71875 / 17592.765625 [+0.25%]
Products
Total CPU difference: 12049.15625 / 12065.453125 [-0.14%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086146)
git (administrator)
2019-08-11 10:50

Branch CR30854 has been deleted by inv.

SHA-1: 38f6e84905a1944987a38cdde703373a0940c0b8

- Related Changesets
occt: master caa309aa
Timestamp: 2019-08-05 17:26:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030854: Visualization, AIS_ViewCube - pack triangulations into common array(s)

Presentation computation has been modified to merge triangulations per box part type.
Prs3d_Drawer::FaceBoundaryDraw() flag is now handled for drawing box sides edges.

Graphic3d_ArrayOfPrimitives has been extended by auxiliary methods:
- ::AddSegmentEdges(), ::AddTriangleEdges(), ::AddQuadEdges() raising exception on wrong primitive type.
- ::AddQuadTriangleEdges() splitting quad into indexed triangulation;
- ::AddTriangleStripEdges() splitting triangle strip into indexed triangulation;
- ::AddTriangleFanEdges() splitting triangle fan into indexed triangulation;
- ::AddPolylineEdges() splitting polyline into indexed segments.
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
mod - tests/v3d/viewcube/style Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-26 09:59 kgv New Issue
2019-07-26 09:59 kgv Assigned To => kgv
2019-07-26 10:00 kgv Relationship added child of 0028954
2019-08-05 22:27 git Note Added: 0086013
2019-08-06 00:18 git Note Added: 0086014
2019-08-06 00:20 kgv Note Added: 0086015
2019-08-06 00:20 kgv Assigned To kgv => san
2019-08-06 00:20 kgv Status new => resolved
2019-08-09 11:20 kgv Assigned To san => bugmaster
2019-08-09 11:20 kgv Status resolved => reviewed
2019-08-09 12:18 bugmaster Test case number => v3d/viewcube/style
2019-08-09 12:33 bugmaster Note Added: 0086113
2019-08-09 12:33 bugmaster Status reviewed => tested
2019-08-11 10:40 bugmaster Changeset attached => occt master caa309aa
2019-08-11 10:40 bugmaster Status tested => verified
2019-08-11 10:40 bugmaster Resolution open => fixed
2019-08-11 10:50 git Note Added: 0086146


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker